XmLArrayDel(3X)

NAME
XmLArrayDel - remove space from an array

SYNTAX
int XmLArrayDel(array, pos, count)
XmLArray array;
int pos;
int count;

ARGUMENTS

array
    array to remove from

pos position to start removal

count
    size of space to remove

DESCRIPTION
Removes (count * sizeof(void *)) bytes of space at position pos from the array given. This call only removes space from the array, it does not free individual elements.

RETURN VALUE
0 upon success and -1 upon failure (a value passed is out of range).

SEE ALSO
XmLArrayAdd(3X) XmLArrayFree(3X) XmLArrayGet(3X) XmLArrayGetCount(3X) XmLArrayMove(3X) XmLArrayNew(3X) XmLArrayReorder(3X) XmLArraySet(3X) XmLArraySort(3X)